#!/bin/sh

if [ -z "$JAVA_HOME" ] ; then
    echo "Could not find a JDK."
    echo "Either you have to install a JDK (1.4 or up),"
    echo "or you have to set JAVA_HOME to your JDK installation directory."
    exit
fi

CP=".:jactivia.jar"
for i in lib/*.jar; do
	CP=$CP:$i
done

# Reemplazar los argumentos correspondientes
ARGS="-s/home/elio/terms -a/home/elio/terms/activia -llog4jconfig.xml"

$JAVA_HOME/bin/java -classpath $CP com.itcsoluciones.activia.JActivia $ARGS &

